Bug 1475003 - Thinkpad T460s touchpad unusable due to phantom pointer stick movements
Thinkpad T460s touchpad unusable due to phantom pointer stick movements
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libinput (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 16:07 EDT by J. Bruce Fields
Modified: 2018-05-29 08:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:00:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. Bruce Fields 2017-07-25 16:07:17 EDT
Out of the box the touchpad on the T460s is extremely hard to use: it frequently stops registering movement, causing nearly constant stop-and-go cursor movement.

  echo "120" > /sys/devices/platform/i8042/serio1/serio2/sensitivity

appears to cure the symptoms.

It seems that what happens is the touchpad is temporarily disabled each time pointing stick movement is detected.  With the sensitivity set too high, there are frequent false positives.

Several users have confirmed the problem and the above workaround.
Comment 1 Jan Pokorný 2017-07-26 07:46:06 EDT
Related to that observation, the trackpoint seems to be indeed
acting unexpectedly with the enforced "sensitivity" (T460p model,
for a variation) of 200.  I use that device solely when I need to move
the cursor, avoiding touchpad most of the time.  What I was disturbed
with was that sometimes the cursor did not stop when it was supposed
to (trackpoint released), moving a bit erratically (not exactly
following the previous trajectory) and that caused me to intervene
with trackpoint again, which sometimes barely helped.  Sometimes
I was also fighting with the direction of the movement as my intention
was not followed precisely.

Using value of 120 per above helped me as well.

I think it is broken by design to have udev rules constructed with
generic wildcards rather than with conservative ones/enumeration,
because no one except for, say, Lenovo executive, can be sure that
future models matching the wildcard will be eligible for the same
treatment of the parameters like the sensitivity of the trackpoint,
which is what currently happens if I understand it correctly:

https://github.com/systemd/systemd/blob/v234/hwdb/70-pointingstick.hwdb#L118

Relevant bug from the past: [bug 1200717].
Comment 2 Jan Pokorný 2017-10-02 08:38:52 EDT
Note sure if there was any targeted change, but I have to applaud
to the way how freshly updated:
- libinput 1.8.901-1.fc28
- systemd-udev 234-8.fc28
- kernel 4.14.0-0.rc2.git4.1.fc28
behaves wrt. the trackpoint out of the box now.  Thanks!
Comment 3 Fedora End Of Life 2018-05-03 04:35:45 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2018-05-29 08:00:17 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.